#!/bin/bash
# Captures the telnet session and seeks the useful timestamps and flags.

HEX=/usr/bin/hex
TCPDUMP=/usr/sbin/tcpdump

if [ -x $HEX ]
then
	PATTERN=`echo $PASS | $HEX -w 3 -g | head -1 | sed "s/^[^ ]* //;s/ //" | cut -c-7| sed "s/[ 	]*$//"`
else
	PATTERN="7a7a 7a"		# "zz z" ;-)
fi

if [ -x $TCPDUMP ]
then
	$TCPDUMP -l -n -n -i $IFACE -x port $PORT > /tmp/lst &
else
	echo "$TCPDUMP not found or not executable!"
	exit 1
fi

sleep 2
while ! grep "$PATTERN" /tmp/lst >/dev/null
do
	sleep 1
done
sleep 3
sed -n "/$PATTERN/,\$p" /tmp/lst | grep "$HOST.$PORT >" | sort -u | head -2 | sed "s/^.*$HOST.$PORT >//" | awk '{print $2" "$8" "$9}'

killall tcpdump
rm -f /tmp/lst
